LOG2(3G)

NAME
log2 - return the base 2 logarithm of the parameter

DECLARATION

genType log2(genType x);

PARAMETERS

x
    Specify the value of which to take the base 2 logarithm.

DESCRIPTION

log2 returns the base 2 logarithm of x. i.e., the value y which satisfies x2y. Results are undefined if x0.

VERSION SUPPORT
 | OpenGL Shading Language Version
Function Name | 1.10 | 1.20 | 1.30 | 1.40 | 1.50 | 3.30 | 4.00 | 4.10 | 4.20 | 4.30 | 4.40 | 4.50
log2 | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔

SEE ALSO

exp(), log(), exp2()

COPYRIGHT

Copyright © 2011-2014 Khronos Group. This material may be distributed subject to the terms and conditions set forth in the Open Publication License, v 1.0, 8 June 1999. http://opencontent.org/openpub/.

COPYRIGHT
Copyright © 2011-2014 Khronos Group